creadur-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Philipp Ottlinger (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (RAT-163) Gradle Rat plugin
Date Fri, 19 Jun 2015 13:48:02 GMT

    [ https://issues.apache.org/jira/browse/RAT-163?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14593429#comment-14593429
] 

Philipp Ottlinger commented on RAT-163:
---------------------------------------

[~eskatos] 
thanks for your initial work :-)

Due to the fact that RAT is used by many 'old' projects we still rely on compiler version
1.5.
Can you easily downgrade your proposed grails plugin?

I'm not sure about the integration of maven and gradle and the publication of the plugin itself
to be available in the gradle world. Is maven central automatically made available in gradle
builds to allow plugin resolutions?

I'm afraid I lack gradle detail knowledge, but I could try to integrate your code after you've
downgraded it to 1.5. If I got it right you refer to the anttasks of ApacheRAT ?!

Can you use the current 0.12-SNAPSHOT to make sure it runs well with the latest available
version.

Thanks

> Gradle Rat plugin
> -----------------
>
>                 Key: RAT-163
>                 URL: https://issues.apache.org/jira/browse/RAT-163
>             Project: Apache Rat
>          Issue Type: New Feature
>            Reporter: David Chen
>
> A number of new Apache projects, such as Samza, are using Gradle. However, there currently
does not exist a Rat plugin for Gradle. The closest alternative, the Gradle License Plugin
(https://github.com/hierynomus/license-gradle-plugin) is not flexible enough compared to Rat
for use cases such as defining exclusion rules.
> I have created a preliminary Gradle Rat plugin as part of SAMZA-285 and would like to
clean it up and make it a proper Gradle Rat plugin.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message